//! Main binary entrypoint.
#![warn(
    missing_docs,
    clippy::missing_docs_in_private_items,
    clippy::empty_docs
)]

fn main() {
    pacwoman::populate_index(
        pacwoman::Mirror::new(url::Url::parse(
            "https://geo.mirror.pkgbuild.com/$repo/os/$arch",
        ).unwrap()),
        pacwoman::RepoDescriptor::new()
            .set_repo("core".to_string())
            .set_arch("x86_64".to_string()).clone(),
    ).unwrap();
}
